SYSUPGRADE(8)

NAME
sysupgrade - upgrade system to the next release or a new snapshot

SYNOPSIS
sysupgrade [-fkn] [-r | -s] [-b base-directory] [installurl]

DESCRIPTION
sysupgrade is a utility to upgrade OpenBSD to the next release or a new snapshot if available.

sysupgrade downloads the necessary files to /home/_sysupgrade, verifies them with signify(1), and copies bsd.rd to /bsd.upgrade.

sysupgrade by default then reboots the system. The bootloader will automatically choose /bsd.upgrade, triggering a one-shot upgrade using the files in /home/_sysupgrade.

The options are as follows:

-b base-directory
    Download files to base-directory/_sysupgrade instead of /home/_sysupgrade.

-f  Force an already applied upgrade. The default is to upgrade to latest snapshot only if available. This option has no effect on releases.

-k  Keep the files in /home/_sysupgrade. By default they will be deleted after the upgrade.

-n  Fetch and verify the files and create /bsd.upgrade but do not reboot.

-r  Upgrade to the next release. This is the default if the system is currently running a release.

-s  Upgrade to a snapshot. This is the default if the system is currently running a snapshot.

See upgrade.site(5) for how to customize the upgrade process.

FILES
/auto_upgrade.conf
    Response file for the ramdisk kernel.
/bsd.upgrade
    The ramdisk kernel to trigger an unattended upgrade.
/etc/installurl
    OpenBSD mirror top-level URL for fetching an upgrade.
/home/_sysupgrade
    Directory the upgrade is downloaded to.

SEE ALSO
signify(1), installurl(5), upgrade.site(5), autoinstall(8), release(8), sysmerge(8)

HISTORY
sysupgrade first appeared in OpenBSD 6.6.